<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer3Defs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer3_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer3Defs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer3_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef KM_TIMER_3_DEFS_H_</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#define KM_TIMER_3_DEFS_H_</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#define TIMSK3</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#define COM3C0</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="preprocessor">#ifdef TIMSK3</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#include &quot;../kmCpu/kmCpuDefs.h&quot;</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad44e8cbdfe543311029af7db7b6495d3">   48</a></span><span class="preprocessor">#define KM_TIMER3_BOTTOM KM_TCC_BOTOM</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ac9a49cc2efda79a0ff252b11303a59ca">   50</a></span><span class="preprocessor">#define KM_TIMER3_MAX KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#define KM_TIMER3_TOP_8_BIT KM_TCC_TOP_1</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#define KM_TIMER3_TOP_9_BIT KM_TCC_TOP_5</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#define KM_TIMER3_TOP_10_BIT KM_TCC_TOP_4</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#define KM_TIMER3_TOP_16_BIT KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a93b06d513004e43d752f24239eaf145c">   56</a></span><span class="preprocessor">#define KM_TIMER3_MID KM_TCC_MID_3</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#af4cd0840ec8f5b18acc586780561b923">   59</a></span><span class="preprocessor">#define KM_TCC3_STOP        (KMC_ALL_BITS_CLEARED               )</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aeb6f3c3f7f48ec2b95b4911751ee6954">   61</a></span><span class="preprocessor">#define KM_TCC3_PRSC_1      (                       _BV(CS30)   )</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aae1a937b4844c5a3c75eebfa2c4524e7">   63</a></span><span class="preprocessor">#define KM_TCC3_PRSC_8      (           _BV(CS31)               )</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ace6183c49b3f03a994aebdcd95a9032f">   65</a></span><span class="preprocessor">#define KM_TCC3_PRSC_64 (               _BV(CS31) | _BV(CS30)   )</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a364ebf3d0d5348001db8796e910fe5df">   67</a></span><span class="preprocessor">#define KM_TCC3_PRSC_256    (_BV(CS32)                          )</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a7d3ebf865c5d03f97a56d49bff8fe3ef">   69</a></span><span class="preprocessor">#define KM_TCC3_PRSC_1024   (_BV(CS32) |            _BV(CS30)   )</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a69a4b013d48e07c03943ab13e1200cbd">   71</a></span><span class="preprocessor">#define KM_TCC3_EXT_T3_FAL  (_BV(CS32) |_BV(CS31)               )</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aaac0abe3f6bb0ace2bc6a710cab0a099">   73</a></span><span class="preprocessor">#define KM_TCC3_EXT_T3_RIS  (_BV(CS32) |_BV(CS31) | _BV(CS30)   )</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a8eabb23e97deae2d6f9e8d383d71a005">   75</a></span><span class="preprocessor">#define KM_TCC3_CS_MASK     KM_TCC3_EXT_T3_RIS</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a0b2f35d65e6b13fd53dc3abd1802b445">   78</a></span><span class="preprocessor">#define KM_TCC3_MODE_0_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a0242359743a804e973cd23c6a9e2be8b">   80</a></span><span class="preprocessor">#define KM_TCC3_MODE_0_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ab5bba2bc082e17fe5fb26e9111b8dcdf">   82</a></span><span class="preprocessor">#define KM_TCC3_MODE_1_A    (                                               _BV(WGM30)  )</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad78e66c48fcc330dcf16523950fe7b91">   84</a></span><span class="preprocessor">#define KM_TCC3_MODE_1_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a5f6432e9aa5a4ec3594d77802d5270cc">   86</a></span><span class="preprocessor">#define KM_TCC3_MODE_2_A    (                               _BV(WGM31)                  )</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#add1a45806d06b34eaf1293f2975ec092">   88</a></span><span class="preprocessor">#define KM_TCC3_MODE_2_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a901fe1c19e116ac768496f18bfa6eb42">   90</a></span><span class="preprocessor">#define KM_TCC3_MODE_3_A    (                               _BV(WGM31) |    _BV(WGM30)  )</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a889e6424ba64e679b8cc2328164dd6cc">   92</a></span><span class="preprocessor">#define KM_TCC3_MODE_3_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ae7ec1078446082f04863a49ada55eee6">   94</a></span><span class="preprocessor">#define KM_TCC3_MODE_4_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a00fe19a0378225876ae845cd729d6c0d">   96</a></span><span class="preprocessor">#define KM_TCC3_MODE_4_B    (               _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ae078598369a6026f34ee1092cc37601d">   98</a></span><span class="preprocessor">#define KM_TCC3_MODE_5_A    (                                               _BV(WGM30)  )</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a15041ef7f63e6eb9f6b1bed01a780982">  100</a></span><span class="preprocessor">#define KM_TCC3_MODE_5_B    (               _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#af3b3f54c13d26075cd86348e908cd6cc">  102</a></span><span class="preprocessor">#define KM_TCC3_MODE_6_A    (                               _BV(WGM31)                  )</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a9df15e8013ef67738136ec99821c753a">  104</a></span><span class="preprocessor">#define KM_TCC3_MODE_6_B    (               _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a3a207cc36ff9d0849319ad394d263f20">  106</a></span><span class="preprocessor">#define KM_TCC3_MODE_7_A    (                               _BV(WGM31) |    _BV(WGM30)  )</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ac403bd985b29f7168b87445eb082bc13">  108</a></span><span class="preprocessor">#define KM_TCC3_MODE_7_B    (               _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad7d71c80ecebe400565db568e08ef44e">  110</a></span><span class="preprocessor">#define KM_TCC3_MODE_8_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aaee6ea0ce04e04033edfe98110108463">  112</a></span><span class="preprocessor">#define KM_TCC3_MODE_8_B    (_BV(WGM33)                                                 )</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a14d9389b4836eb9b921ebaf99c07d9a2">  114</a></span><span class="preprocessor">#define KM_TCC3_MODE_9_A    (                                               _BV(WGM30)  )</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a624682c7a38c7c8989de1fc9e802b20a">  116</a></span><span class="preprocessor">#define KM_TCC3_MODE_9_B    (_BV(WGM33)                                                 )</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a0c9acd42511a73c31f0e79ebeafc1801">  118</a></span><span class="preprocessor">#define KM_TCC3_MODE_A_A    (                               _BV(WGM31)                  )</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#abeb3ba0e9120d5260ddb65a96525b135">  120</a></span><span class="preprocessor">#define KM_TCC3_MODE_A_B    (_BV(WGM33)                                                 )</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a14f2a3864f97ec7376a9917a98aa6456">  122</a></span><span class="preprocessor">#define KM_TCC3_MODE_B_A    (                               _BV(WGM31) |    _BV(WGM30)  )</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a2b38ac786c4bb13e7d7e20a1bf725f6a">  124</a></span><span class="preprocessor">#define KM_TCC3_MODE_B_B    (_BV(WGM33)                                                 )</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad2ec11b9f6cdf17942ff2ecfd3ad5410">  126</a></span><span class="preprocessor">#define KM_TCC3_MODE_C_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#af18f0de863a49ead35fa30648a73d8a3">  128</a></span><span class="preprocessor">#define KM_TCC3_MODE_C_B    (_BV(WGM33) |   _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a35fef601962cc3cc1c4378d618c6e736">  130</a></span><span class="preprocessor">#define KM_TCC3_MODE_D_A    (                                               _BV(WGM30)  )</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a52475f822949b0b98f99b21a373bfdc4">  132</a></span><span class="preprocessor">#define KM_TCC3_MODE_D_B    (_BV(WGM33) |   _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad9e86a134e2caf350ec48353583bcbf1">  134</a></span><span class="preprocessor">#define KM_TCC3_MODE_E_A    (                               _BV(WGM31)                  )</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a5d752e5444bb1a2543789140540c9d2c">  136</a></span><span class="preprocessor">#define KM_TCC3_MODE_E_B    (_BV(WGM33) |   _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#abc216a7edd7e8c4539384c54249dd0d1">  138</a></span><span class="preprocessor">#define KM_TCC3_MODE_F_A    (                               _BV(WGM31) |    _BV(WGM30)  )</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a5edc738658aa0695f89f038bde1b8096">  140</a></span><span class="preprocessor">#define KM_TCC3_MODE_F_B    (_BV(WGM33) |   _BV(WGM32)                                  )</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ab40f1e72f5631c12f527b73ea65d2a5d">  142</a></span><span class="preprocessor">#define KM_TCC3_MODE_MASK_A KM_TCC3_MODE_F_A</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a45bdabf2ca91abf963e6b293c912bfb6">  144</a></span><span class="preprocessor">#define KM_TCC3_MODE_MASK_B KM_TCC3_MODE_F_B</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aa8188603546169b1ac3ed4527e34c9a9">  147</a></span><span class="preprocessor">#define KM_TCC3_A_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a323e4b6b4b3c8253658c6c0a76aca751">  149</a></span><span class="preprocessor">#define KM_TCC3_A_COMP_OUT_TOGGLE   (               _BV(COM3A0) )</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#adfe9fec33f5641f320bdc13045d815ab">  151</a></span><span class="preprocessor">#define KM_TCC3_A_COMP_OUT_CLEAR    (_BV(COM3A1)                )</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad06f678ac6fc947ac444a27a13a1c237">  153</a></span><span class="preprocessor">#define KM_TCC3_A_COMP_OUT_SET      (_BV(COM3A1) |  _BV(COM3A0) )</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">#define KM_TCC3_COMP_A_MASK         KM_TCC3_A_COMP_OUT_SET</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a06bf393fb7637c232454dde85d3ca4cd">  157</a></span><span class="preprocessor">#define KM_TCC3_B_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a5facc1d0d548603f62adccbc3109e4be">  159</a></span><span class="preprocessor">#define KM_TCC3_B_COMP_OUT_TOGGLE   (               _BV(COM3B0) )</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a537c44bf707b05a0cba9349d28118129">  161</a></span><span class="preprocessor">#define KM_TCC3_B_COMP_OUT_CLEAR    (_BV(COM3B1)                )</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a4fe8edc777b4367e3894fc937e549b7f">  163</a></span><span class="preprocessor">#define KM_TCC3_B_COMP_OUT_SET      (_BV(COM3B1) |  _BV(COM3B0) )</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="preprocessor">#define KM_TCC3_COMP_B_MASK         KM_TCC3_B_COMP_OUT_SET</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a1c2d87cb91577c1698700fc40eb3f7d4">  167</a></span><span class="preprocessor">#define KM_TCC3_C_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a012af1c84858f8f3d8630a72b48030e2">  169</a></span><span class="preprocessor">#define KM_TCC3_C_COMP_OUT_TOGGLE   (               _BV(COM3C0) )</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a2c81db185ae57656b3acd2e598faf3ac">  171</a></span><span class="preprocessor">#define KM_TCC3_C_COMP_OUT_CLEAR    (_BV(COM3C1)                )</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a5cc13b7ac15a83fe70cf1f80e45c9ee0">  173</a></span><span class="preprocessor">#define KM_TCC3_C_COMP_OUT_SET      (_BV(COM3C1) |  _BV(COM3C0) )</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="preprocessor">#define KM_TCC3_COMP_C_MASK         KM_TCC3_C_COMP_OUT_SET</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a78fa0aa8b30a21e7856a582e97acb8fe">  177</a></span><span class="preprocessor">#define KM_TCC3_A_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#acf2c8268fb44337b462f97e548a744e5">  181</a></span><span class="preprocessor">#define KM_TCC3_A_PWM_COMP_OUT_TOGGLE               (               _BV(COM3A0) )</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a656a259bf38f22c097fced5f0e437756">  185</a></span><span class="preprocessor">#define KM_TCC3_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM3A1)                )</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#accf5d4572f7614fb3c66dd35683481cb">  189</a></span><span class="preprocessor">#define KM_TCC3_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM3A1) |  _BV(COM3A0) )</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#abfe6405c8c765956d8aea72f28a5e7ed">  192</a></span><span class="preprocessor">#define KM_TCC3_B_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#abf3052d9b1c29c23a7d90678b02f151d">  196</a></span><span class="preprocessor">#define KM_TCC3_B_PWM_COMP_OUT_TOGGLE               (               _BV(COM3B0) )</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a4b4afe92503b7ce87d0c37cec66b270c">  200</a></span><span class="preprocessor">#define KM_TCC3_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM3B1)                )</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a977ab274a6fbf304e6d1cf4c28add525">  204</a></span><span class="preprocessor">#define KM_TCC3_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM3B1) |  _BV(COM3B0) )</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ad0f573b91af8d6bdc9d2953f367691c6">  207</a></span><span class="preprocessor">#define KM_TCC3_C_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a32e443309579b5bbb727b122ce289029">  211</a></span><span class="preprocessor">#define KM_TCC3_C_PWM_COMP_OUT_TOGGLE               (               _BV(COM3C0) )</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#adc810dcbe026e86c68faf866160d2f04">  215</a></span><span class="preprocessor">#define KM_TCC3_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM3C1)                )</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a7dab458f62514b85d09c4ba781556500">  219</a></span><span class="preprocessor">#define KM_TCC3_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM3C1) |  _BV(COM3C0) )</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">#define KM_TCC3_INT_MASK_REG TIMSK3</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#ifdef KM_CPU_AVR_LAYOUT_28</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span><span class="preprocessor">#define KM_TCC3_PWM_DDR DDRD</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="preprocessor">#define KM_TCC3_PWM_PORT PORTD</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span><span class="preprocessor">#define KM_TCC3_PWM_PIN_A PD0</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span><span class="preprocessor">#define KM_TCC3_PWM_PIN_B PD2</span></div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span><span class="preprocessor">#define KM_TCC3_ICP3_PIN PE2</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="preprocessor">#define KM_TCC3_ICP3_PORT_DDR DDRE</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">#define KM_TCC3_ICP3_PORT_OUTPUT PORTE</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="preprocessor">#define KM_TCC3_ICP3_PORT_INPUT PINE</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="preprocessor">#define KM_TCC3_T3_PIN PE3</span></div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_100 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span><span class="preprocessor">#ifdef KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a9b817175ffaf3df1fc32e5a6fd172f54">  248</a></span><span class="preprocessor">#define KM_TCC3_PWM_DDR DDRE</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a878f9eb907ad58cc07fc4732ad2e11de">  250</a></span><span class="preprocessor">#define KM_TCC3_PWM_PORT PORTE</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a843f147c8f8afcaede470f276302e16d">  252</a></span><span class="preprocessor">#define KM_TCC3_PWM_PIN_A PE3</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a455e7a006969c5786fd486fb934c1e0f">  254</a></span><span class="preprocessor">#define KM_TCC3_PWM_PIN_B PE4</span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#af5a786493a81c4ffa39aa6300a64959d">  256</a></span><span class="preprocessor">#define KM_TCC3_PWM_PIN_C PE5</span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a25ad6b7a10942072e3f909750563f4bc">  259</a></span><span class="preprocessor">#define KM_TCC3_ICP3_PIN PE7</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#afbf79691cc2734a01bf201932d9983e9">  261</a></span><span class="preprocessor">#define KM_TCC3_ICP3_PORT_DDR DDRE</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ab66a0845acc99085524f659c2c10eaf3">  263</a></span><span class="preprocessor">#define KM_TCC3_ICP3_PORT_OUTPUT PORTE</span></div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aae68db796575b178820255f26e56ede6">  265</a></span><span class="preprocessor">#define KM_TCC3_ICP3_PORT_INPUT PINE</span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a7d7ea72594e62fd8679e9b3fc042b8ff">  268</a></span><span class="preprocessor">#define KM_TCC3_T3_PIN PE6</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_100 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#a1751abc73d079ccf3b628c60bb542978">  272</a></span><span class="preprocessor">#define KM_TCC3_PWM_BV_A    _BV(KM_TCC3_PWM_PIN_A)</span></div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#ac1f9844a5cdb69e003e542387ef35582">  274</a></span><span class="preprocessor">#define KM_TCC3_PWM_BV_B    _BV(KM_TCC3_PWM_PIN_B)</span></div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno"><a class="line" href="km_timer3_defs_8h.html#aad593985825e09d6bde357f2a30da25e">  276</a></span><span class="preprocessor">#define KM_TCC3_PWM_BV_C    _BV(KM_TCC3_PWM_PIN_C)</span></div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="preprocessor">#endif </span><span class="comment">/* TIMSK3 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>}</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span> </div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_3_DEFS_H_ */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer3_defs_8h.html">kmTimer3Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
